#include <fstream>
#include <iostream>
#include <algorithm>
int ucln(int a, int b)
{
    while (b > 0)
    {
        int r = a%b;
        a = b;
        b = r;
    }
    return a;
}
using namespace std;
struct ps{int x[100000]; int y[100000];};
int main()
{
   ifstream fi("sxps.inp");
   ofstream fo("sxps.out");
   ps a;
   int d = 1,n,k;
   a.x[0] = 0; a.y[0] = 0;
   fi >> n >> k;
   for (int i = 1; i < n; i++)
   {
       for (int j = i+1; j <= n; j++)
       {
           if (ucln(i,j) == 1)
           {
               a.x[d] = i; a.y[d] = j;
               d++;
           }
       }
   }
   a.x[d] = 1; a.y[d] = 1;
   d++;
   for (int i = 1; i < d-2; i++)
   {
       for (int j = i+1; j < d-1; j++)
       {
           if (float(a.x[i])/float(a.y[i]) > float(a.x[j])/float(a.y[j]))
           {
               int tg = a.x[i]; a.x[i] = a.x[j]; a.x[j] = tg;
               tg = a.y[i]; a.y[i] = a.y[j]; a.y[j] = tg;
           }
       }
   }
   fo << a.x[k-1] << "/" << a.y[k-1];
   return 0;
}
